<?php

class DataArr_StudyGroups {
    protected $model;
    
    public function __construct() {
        $this->model = new Model_DataArr_StudyGroups;
    }

	public function forDiscipline($DisciplineID) {
		$Groups = $this->model->getStudyGroupsForDiscipline($DisciplineID);
		
		$GroupsHandled = array();
		$i = 0;
		
		foreach($Groups as $row) {
			$i++;
			$GroupsHandled[$i]['GroupID'] = $row['GroupID'];
			$GroupsHandled[$i]['DiscGroupID'] = $row['DiscGroupID'];
			$GroupsHandled[$i]['GroupGrade'] = $row['GroupGrade'];
			$GroupsHandled[$i]['GroupNum'] = $row['GroupNum'];
			$GroupsHandled[$i]['SpecName'] = $row['SpecName'];
			$GroupsHandled[$i]['SpecAbbr'] = $row['SpecAbbr'];
		}
		
		return new DataArray_Result($GroupsHandled);
	}

	public function ordByGroups($GradeID, $FacultyID) {
		$Groups = $this->model->getStudyGroupsOrdByGroups($GradeID, $FacultyID);
		$GroupsHandled = array();
		$i = 0;
		
		foreach($Groups as $row) {
			$i++;
			$GroupsHandled[$i]['GroupID'] = $row['GroupID'];
			$GroupsHandled[$i]['GroupNum'] = $row['GroupNum'];
			$GroupsHandled[$i]['SpecID'] = $row['SpecID'];
			$GroupsHandled[$i]['SpecName'] = $row['SpecName'];
			$GroupsHandled[$i]['SpecAbbr'] = $row['SpecAbbr'];
		}
		
		return new DataArray_Result($GroupsHandled);
	}
    
    // TODO: Методы для получения списка учебных групп
}